=== debian/changelog ===
kodi-inputstream-adaptive (2.6.7+ds1-1) unstable; urgency=medium

  * New upstream version 2.6.7+ds1
  * Update d/watch URL after IA moved to Kodi organization umbrella
  * Refresh patches

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 18 Feb 2021 23:38:40 +0000

kodi-inputstream-adaptive (2.6.6+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:48 +0000

kodi-inputstream-adaptive (2.6.6+ds1-1) experimental; urgency=medium

  * Initial upload (Closes: #977759)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 10 Jan 2021 19:55:56 +0100
