=== debian/control ===
Source: kodi-inputstream-adaptive
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libexpat1-dev,
 libwebm-dev,
 pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git
Homepage: https://kodi.tv/

Package: kodi-inputstream-adaptive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:INPUTSTREAMAPI}
Description: Adaptive inputstream addon for Kodi
 This package allows playing HLS/DASH/smoothstream streams in Kodi.
 .
 It is part of the official kodi repository.
 .
 Its primary use is to play DRM-protected with decryptors supplied
 by other addons (like Netflix or other paid video services).
