=== debian/changelog ===
kodi-inputstream-adaptive (2.6.14+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 19:59:06 +0200

kodi-inputstream-adaptive (2.6.14+ds1-1) unstable; urgency=medium

  * New upstream version 2.6.14+ds1 (Closes: #988862)
  * Fix github links in d/watch
  * Refresh patches
  * Add libgtest-dev to build-dep

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 09 May 2021 05:56:04 +0000
