## kodi-inputstream-adaptive 19.0.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 project(inputstream.adaptive)
+option(BUILD_TESTING "Build the testing tree." ON)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
@@ -41,6 +42,7 @@
 	src/log.h
 	src/aes_decrypter.h
 	src/ADTSReader.h
+	src/Iaes_decrypter.h
 	src/md5.h
 	src/WebmReader.h
 	)
@@ -52,10 +54,12 @@
 endif()
 
 include_directories(${INCLUDES}
-                    ${KODI_INCLUDE_DIR}
+                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                     lib/libbento4/Core
                     lib/webm_parser/include
 )
+
+set(CMAKE_FIND_FRAMEWORK LAST)
 
 include(FindEXPAT)
 find_package(EXPAT REQUIRED)
@@ -83,11 +87,7 @@
   set(ADP_ADDITIONAL_BINARY $<TARGET_FILE:ssd_wv>)
 endif()
 
-if(CORE_SYSTEM_NAME STREQUAL android)
-  set(DECRYPTERPATH "special://xbmcbinaddons")
-else()
-  set(DECRYPTERPATH "special://home/cdm")
-endif()
+set(DECRYPTERPATH "special://home/cdm")
 
 list(APPEND DEPLIBS bento4)
 list(APPEND DEPLIBS mpegts)
@@ -97,20 +97,11 @@
 
 include(CPack)
 
-if(NOT CMAKE_CROSSCOMPILING)
-  #Tests
-  find_package( Threads )
-  add_executable(Test_DashTree
-    src/parser/DASHTreeTest.cpp
-    src/parser/DASHTree.cpp
-    src/parser/PRProtectionParser.cpp
-    src/common/AdaptiveTree.cpp
-    src/helpers.cpp
-    src/oscompat.cpp
-    )
-  target_link_libraries(Test_DashTree ${EXPAT_LIBRARIES} Threads::Threads)
-
+if(NOT CMAKE_CROSSCOMPILING AND BUILD_TESTING)
+  list(APPEND CMAKE_CTEST_ARGUMENTS "--output-on-failure")
   enable_testing()
-
-  add_test(6play_live Test_DashTree "${CMAKE_SOURCE_DIR}/src/parser/testfiles/6play.mpd")
+  include(FindGtest)
+  find_package(Gtest REQUIRED)
+  include_directories(${GTEST_INCLUDE_DIRS})
+  add_subdirectory(src/test)
 endif()
