=== debian/changelog ===
kodi-inputstream-adaptive (19.0.0+ds1-2) unstable; urgency=medium

  * fix FTBFS on riscv64

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 28 Oct 2021 12:08:40 +0000

kodi-inputstream-adaptive (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:22 +0000

kodi-inputstream-adaptive (2.6.23+ds1-1) unstable; urgency=medium

  * New upstream version 2.6.23+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:30:04 +0000
