=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  cmake,
  kodi-addons-dev (>= 2:19~),
  libexpat1-dev,
+ libgtest-dev (>= 1.10.0~),
  libwebm-dev,
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git
