## kodi-inputstream-adaptive 19.0.4%2Bds1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive/releases \
/xbmc/inputstream.adaptive/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz
