## kodi-inputstream-adaptive 19.0.4+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	src/main.h
 	src/oscompat.h
 	src/SSD_dll.h
+	src/common/AdaptiveDecrypter.h
 	src/common/AdaptiveStream.h
 	src/common/AdaptiveTree.h
 	src/parser/DASHTree.h
