=== debian/changelog ===
kodi-inputstream-adaptive (19.0.4+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:32 +0000

kodi-inputstream-adaptive (19.0.4+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.4+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 29 Apr 2022 12:40:12 +0000

kodi-inputstream-adaptive (19.0.3+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.3+ds1
  * Modernize package
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 18:25:30 +0000
