=== wvdecrypter/CMakeLists.txt ===
--- 
+++ 
@@ -9,33 +9,35 @@
 
 project(wvdecrypter)
 
+if(NOT BENTO4_FOUND)
+  find_package(Bento4 REQUIRED)
+endif()
+
 if(CORE_SYSTEM_NAME STREQUAL android)
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--no-undefined")
   include_directories (
-    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4/Core
+    ${BENTO4_INCLUDE_DIRS}
     jni/jutils
     jni/src
   )
 else()
   include_directories (
-    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4/Core/
+    ${BENTO4_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}/cdm
   )
 endif()
 
 set(BENTOUSESTCFS 1)
 
-subdirs (
-   ${CMAKE_CURRENT_SOURCE_DIR}/../lib/libbento4
-)
-
 if(CORE_SYSTEM_NAME STREQUAL android)
   subdirs ( jni )
   add_library ( ssd_wv SHARED
-	wvdecrypter_android_jni.cpp
+	wvdecrypter_android.cpp
 	jsmn.c
-	../src/helpers.cpp
-  ../src/md5.cpp
+    ../src/utils/Utils.cpp
+    ../src/utils/StringUtils.cpp
+    ../src/utils/Base64Utils.cpp
+    ../src/utils/DigestMD5Utils.cpp
   )
 else()
   if(WIN32)
@@ -52,8 +54,10 @@
   add_library ( ssd_wv SHARED
         wvdecrypter.cpp
         jsmn.c
-        ../src/helpers.cpp
-        ../src/md5.cpp
+        ../src/utils/Utils.cpp
+        ../src/utils/StringUtils.cpp
+        ../src/utils/Base64Utils.cpp
+        ../src/utils/DigestMD5Utils.cpp
         cdm/base/native_library.cc
         cdm/base/native_library_${CDMTYPE}
         cdm/media/cdm/cdm_adapter.cc
@@ -62,18 +66,18 @@
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   target_link_libraries (ssd_wv
-    bento4
+    ${BENTO4_LIBRARIES}
     "-framework CoreFoundation"
   )
 elseif(CORE_SYSTEM_NAME STREQUAL android)
   target_link_libraries (ssd_wv
 #    mediandk
     jni
-    bento4
+    ${BENTO4_LIBRARIES}
   )
 else()
   target_link_libraries (ssd_wv
     ${CMAKE_DL_LIBS}
-    bento4
+    ${BENTO4_LIBRARIES}
   )
 endif()
