=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
-set(BINARY Test${CMAKE_PROJECT_NAME})
+set(BINARY ${CMAKE_PROJECT_NAME}_test)
 
 find_package( Threads )
+
+add_definitions(-DINPUTSTREAM_TEST_BUILD)
 
 add_executable(${BINARY}
     TestMain.cpp
@@ -12,8 +14,20 @@
     ../parser/PRProtectionParser.cpp
     ../common/AdaptiveStream.cpp
     ../common/AdaptiveTree.cpp
-    ../helpers.cpp
+    ../common/Chooser.cpp
+    ../common/ChooserAskQuality.cpp
+    ../common/ChooserDefault.cpp
+    ../common/ChooserFixedRes.cpp
+    ../common/ChooserManualOSD.cpp
+    ../common/ChooserTest.cpp
+    ../common/ReprSelector.cpp
     ../oscompat.cpp
+    ../utils/Base64Utils.cpp
+    ../utils/PropertiesUtils.cpp
+    ../utils/SettingsUtils.cpp
+    ../utils/StringUtils.cpp
+    ../utils/UrlUtils.cpp
+    ../utils/Utils.cpp
     )
 
 target_link_libraries(${BINARY} PRIVATE ${EXPAT_LIBRARIES} ${GTEST_LIBRARIES} Threads::Threads ${CMAKE_DL_LIBS})
