=== debian/changelog ===
kodi-inputstream-adaptive (20.2.0+ds1-1ubuntu1) kinetic; urgency=medium

  * debian/patches/byte-order-all-archs: fix endian detection to be
    portable to all glibs archs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Aug 2022 21:04:30 +0000

kodi-inputstream-adaptive (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 07:19:38 +0000
