=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive/releases \
/xbmc/inputstream.adaptive/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

# bento4

opts="component=bento4-embedded, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/axiomatic-systems/bento4/tags .*archive/refs/tags/v?(\d\S*)\.tar\.gz \
ignore
