## kodi-inputstream-adaptive 20.3.1+ds1

=== debian/changelog ===
kodi-inputstream-adaptive (20.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds1
  * d/watch: Switch to git tags
  * Drop merged patches
  * Fix ppc64el regression (Closes: #1018203)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 16 Oct 2022 05:43:00 +0000
