=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.adaptive \
refs/tags/@ANY_VERSION@-Nexus \
debian

# Bento4
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="component=bento4-embedded, \
      mode=git, \
      pgpmode=none, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/Bento4 \
refs/tags/@ANY_VERSION@-Nexus \
ignore
