## kodi-inputstream-adaptive 20.3.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,9 @@
 set(ADP_SOURCES
     src/AdaptiveByteStream.cpp
 	src/main.cpp
+	src/codechandler/CodecHandler.cpp
+	src/codechandler/AV1CodecHandler.cpp
 	src/codechandler/AVCCodecHandler.cpp
-	src/codechandler/CodecHandler.cpp
 	src/codechandler/HEVCCodecHandler.cpp
 	src/codechandler/MPEGCodecHandler.cpp
 	src/codechandler/TTMLCodecHandler.cpp
@@ -37,12 +38,16 @@
 	src/samplereader/WebmSampleReader.cpp
 	src/utils/Base64Utils.cpp
 	src/utils/DigestMD5Utils.cpp
+	src/utils/MemUtils.cpp
 	src/utils/PropertiesUtils.cpp
 	src/utils/StringUtils.cpp
 	src/utils/SettingsUtils.cpp
 	src/utils/UrlUtils.cpp
 	src/utils/Utils.cpp
+	src/KodiHost.cpp
 	src/oscompat.cpp
+	src/Session.cpp
+	src/Stream.cpp
 	src/TSReader.cpp
 	src/aes_decrypter.cpp
 	src/ADTSReader.cpp
@@ -51,11 +56,13 @@
 
 set(ADP_HEADERS
     src/AdaptiveByteStream.h
+	src/CryptoMode.h
 	src/main.h
 	src/oscompat.h
 	src/SSD_dll.h
+	src/codechandler/CodecHandler.h
+	src/codechandler/AV1CodecHandler.h
 	src/codechandler/AVCCodecHandler.h
-	src/codechandler/CodecHandler.h
 	src/codechandler/HEVCCodecHandler.h
 	src/codechandler/MPEGCodecHandler.h
 	src/codechandler/TTMLCodecHandler.h
@@ -77,7 +84,6 @@
 	src/parser/SmoothTree.h
 	src/parser/PRProtectionParser.h
 	src/samplereader/ADTSSampleReader.h
-	src/samplereader/DummySampleReader.h
 	src/samplereader/FragmentedSampleReader.h
 	src/samplereader/SampleReader.h
 	src/samplereader/SubtitleSampleReader.h
@@ -85,12 +91,17 @@
 	src/samplereader/WebmSampleReader.h
 	src/utils/Base64Utils.h
 	src/utils/DigestMD5Utils.h
+	src/utils/FFmpeg.h
 	src/utils/log.h
+	src/utils/MemUtils.h
 	src/utils/PropertiesUtils.h
 	src/utils/SettingsUtils.h
 	src/utils/StringUtils.h
 	src/utils/UrlUtils.h
 	src/utils/Utils.h
+	src/KodiHost.h
+	src/Session.h
+	src/Stream.h
 	src/TSReader.h
 	src/aes_decrypter.h
 	src/ADTSReader.h
