=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,11 @@
     TestMain.cpp
     TestDASHTree.cpp
     TestHLSTree.cpp
+    TestSmoothTree.cpp
     TestHelper.cpp
     ../parser/DASHTree.cpp
     ../parser/HLSTree.cpp
+    ../parser/SmoothTree.cpp
     ../parser/PRProtectionParser.cpp
     ../common/AdaptiveStream.cpp
     ../common/AdaptiveTree.cpp
