=== debian/changelog ===
kodi-inputstream-adaptive (20.3.2+ds-1) unstable; urgency=medium

  * New upstream version 20.3.2+ds
  * Bump copyright years
  * d/watch: Fix repack suffix
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Jan 2023 18:32:16 +0000
