=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libgtest-dev (>= 1.10.0~),
  libwebm-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git
