## kodi-inputstream-adaptive 20.3.11+ds

=== debian/changelog ===
kodi-inputstream-adaptive (20.3.11+ds-1) unstable; urgency=medium

  * New upstream version 20.3.11+ds
  * d/gbp.conf: Fix debian and upstream branches
  * Add GCC13 build fix (Closes: #1037712)
  * Build bento4 library out-of-tree (Closes: #1032413)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 06 Aug 2023 10:40:10 +0000
