## kodi-inputstream-adaptive 20.3.18+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	src/codechandler/VP9CodecHandler.cpp
 	src/codechandler/WebVTTCodecHandler.cpp
 	src/codechandler/ttml/TTML.cpp
+	src/common/AdaptiveCencSampleDecrypter.cpp
 	src/common/AdaptiveStream.cpp
 	src/common/AdaptiveTree.cpp
 	src/common/Chooser.cpp
@@ -38,6 +39,7 @@
 	src/samplereader/WebmSampleReader.cpp
 	src/utils/Base64Utils.cpp
 	src/utils/DigestMD5Utils.cpp
+	src/utils/FileUtils.cpp
 	src/utils/MemUtils.cpp
 	src/utils/PropertiesUtils.cpp
 	src/utils/StringUtils.cpp
@@ -55,8 +57,7 @@
 	)
 
 set(ADP_HEADERS
-    src/AdaptiveByteStream.h
-	src/CryptoMode.h
+	src/AdaptiveByteStream.h
 	src/main.h
 	src/oscompat.h
 	src/SSD_dll.h
@@ -69,7 +70,8 @@
 	src/codechandler/VP9CodecHandler.h
 	src/codechandler/WebVTTCodecHandler.h
 	src/codechandler/ttml/TTML.h
-    src/common/AdaptiveDecrypter.h
+	src/common/AdaptiveCencSampleDecrypter.h
+	src/common/AdaptiveDecrypter.h
 	src/common/AdaptiveStream.h
 	src/common/AdaptiveTree.h
 	src/common/Chooser.h
@@ -90,8 +92,10 @@
 	src/samplereader/TSSampleReader.h
 	src/samplereader/WebmSampleReader.h
 	src/utils/Base64Utils.h
+	src/utils/CryptoUtils.h
 	src/utils/DigestMD5Utils.h
 	src/utils/FFmpeg.h
+	src/utils/FileUtils.h
 	src/utils/log.h
 	src/utils/MemUtils.h
 	src/utils/PropertiesUtils.h
