=== wvdecrypter/CMakeLists.txt ===
--- 
+++ 
@@ -28,10 +28,12 @@
 endif()
 
 set(BENTOUSESTCFS 1)
+add_definitions(-DINPUTSTREAM_SSD_BUILD)
 
 if(CORE_SYSTEM_NAME STREQUAL android)
   subdirs ( jni )
   add_library ( ssd_wv SHARED
+	Helper.cpp
 	wvdecrypter_android.cpp
 	jsmn.c
     ../src/utils/Utils.cpp
@@ -52,6 +54,7 @@
   endif()
 
   add_library ( ssd_wv SHARED
+        Helper.cpp
         wvdecrypter.cpp
         jsmn.c
         ../src/utils/Utils.cpp
@@ -61,6 +64,7 @@
         cdm/base/native_library.cc
         cdm/base/native_library_${CDMTYPE}
         cdm/media/cdm/cdm_adapter.cc
+        cdm/media/cdm/cdm_type_conversion.cc
   )
 endif()
