=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
     TestHLSTree.cpp
     TestSmoothTree.cpp
     TestHelper.cpp
+    TestUtils.cpp
     ../parser/DASHTree.cpp
     ../parser/HLSTree.cpp
     ../parser/SmoothTree.cpp
@@ -25,6 +26,7 @@
     ../common/ReprSelector.cpp
     ../oscompat.cpp
     ../utils/Base64Utils.cpp
+    ../utils/FileUtils.cpp
     ../utils/PropertiesUtils.cpp
     ../utils/SettingsUtils.cpp
     ../utils/StringUtils.cpp
