=== debian/changelog ===
kodi-inputstream-adaptive (20.3.18+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:15 +1100

kodi-inputstream-adaptive (20.3.18+ds-1) unstable; urgency=medium

  * New upstream version 20.3.18+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 05 Mar 2024 17:00:21 +0000

kodi-inputstream-adaptive (20.3.17+ds-4) unstable; urgency=medium

  * Third attempt :)

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 07 Feb 2024 12:53:11 +0000

kodi-inputstream-adaptive (20.3.17+ds-3) unstable; urgency=high

  * Second attempt to fix builds

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 07 Feb 2024 12:14:19 +0000

kodi-inputstream-adaptive (20.3.17+ds-2) unstable; urgency=high

  * Fix build on armel/s390x/m68k/powerpc/sh4

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 07 Feb 2024 09:46:25 +0000

kodi-inputstream-adaptive (20.3.17+ds-1) unstable; urgency=medium

  * New upstream version 20.3.17+ds
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:20 +0000
