## kodi-inputstream-adaptive 21.5.2+ds

=== debian/changelog ===
kodi-inputstream-adaptive (21.5.2+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:03 +0000

kodi-inputstream-adaptive (21.5.2+ds-1) unstable; urgency=medium

  * New upstream version 21.5.2+ds
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 06:02:45 +0000

kodi-inputstream-adaptive (21.5.1+ds-1) unstable; urgency=medium

  * New upstream version 21.5.1+ds
  * Bump standards version to 4.7.0 (no changes required)
  * Add new build-depends
  * Refresh patches

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:56:42 +0000

kodi-inputstream-adaptive (21.4.3+ds-1) experimental; urgency=medium

  * New upstream version 21.4.3+ds
  * Branch out experimental
  * Modernize package
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Refresh patches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:19 +0000
