## kodi-inputstream-adaptive 21.5.5+ds

=== debian/changelog ===
kodi-inputstream-adaptive (21.5.5+ds-1) unstable; urgency=medium

  * d/copyright: Drop refs to files no more in source tree
  * New upstream version 21.5.5+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 13 Oct 2024 07:20:50 +0000

kodi-inputstream-adaptive (21.5.4+ds-1) unstable; urgency=high

  * New upstream version 21.5.4+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 08 Sep 2024 06:42:53 +0000

kodi-inputstream-adaptive (21.5.2+ds-3) unstable; urgency=critical

  * Add build config for m68k

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 21 Aug 2024 16:56:03 +0000
