## kodi-inputstream-adaptive 21.5.7+ds

=== debian/changelog ===
kodi-inputstream-adaptive (21.5.7+ds-1) unstable; urgency=medium

  * New upstream version 21.5.7+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:27:50 +0000
