=== debian/changelog ===
kodi-inputstream-adaptive (21.5.9+ds-1) unstable; urgency=high

  * New upstream version 21.5.9+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:13 +0000
